Bug 11403 - smbd ignores the block size of the dfree command
smbd ignores the block size of the dfree command
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.2.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-17 07:51 UTC by Andreas Schneider
Modified: 2015-07-31 08:04 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.2 (2.71 KB, patch)
2015-07-20 09:32 UTC, Andreas Schneider
slow: review+
Details
patch for 4.1 (2.71 KB, patch)
2015-07-20 09:32 UTC, Andreas Schneider
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2015-07-17 07:51:08 UTC
If we specify a 'dfree command' and the share also has quotas, the values at least of the bsize are overridden. This results in a broken bsize which should be fixed by the 'dfree command'. If the 'dfree command' is used we should not check quotas. It is the responsibility of the 'dfree command' to do that.

Patch will follow ...
Comment 1 Andreas Schneider 2015-07-20 09:32:32 UTC
Created attachment 11272 [details]
patch for 4.2
Comment 2 Andreas Schneider 2015-07-20 09:32:55 UTC
Created attachment 11273 [details]
patch for 4.1
Comment 3 Andreas Schneider 2015-07-21 12:03:27 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2015-07-21 14:44:59 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 5 Stefan Metzmacher 2015-07-31 08:04:44 UTC
(In reply to Karolin Seeger from comment #4)

Pushed to v4-[2,1]-test